def testtable():
    from reportlab.platypus.tables import Table
    #widths = [width]
    #heights = [height]
    #h = findHeight(P,0.6*width)
    #topPadding = bottomPadding = (height - h)*0.5 - .1
    #leftPadding = rightPadding = 0.2*width
    tstyle = [
            ('VALIGN',(0,0),(-1,-1),'TOP'),
            ('BOTTOMPADDING',(0,0),(-1,-1),3),
            ('TOPPADDING',(0,0),(-1,-1),3),
            ('LEFTPADDING',(0,0),(-1,-1),3),
            ('RIGHTPADDING',(0,0),(-1,-1),3),
            ]
    return Table([['text', 'text'], ['text', 'text']],colWidths=[100,100],rowHeights=[30,30],style=tstyle)

from reportlab.platypus import SimpleDocTemplate, Paragraph, Spacer, Flowable
#PAGE_HEIGHT=defaultPageSize[1]; PAGE_WIDTH=defaultPageSize[0]
#styles = getSampleStyleSheet()

def myFirstPage(canvas, doc):
    canvas.saveState()
    canvas.restoreState()

def myLaterPages(canvas, doc):
    canvas.saveState()
    canvas.restoreState()

def go():
    doc = SimpleDocTemplate("test.pdf")
    Story = []
    #style = styles["Normal"]
    Story.append(testtable())
    doc.build(Story, onFirstPage=myFirstPage, onLaterPages=myLaterPages)

class DumbTestTable(Flowable):
    def __init__(self, data):
        self.data = data
        self.table = testtable()

    def wrap(self, w, h):
        return self.table.wrap(w,h)

    def wrapOn(self,canv, aW, aH):
        w, h = self.table.wrapOn(canv,aW,aH)
        return w, h

    def _drawOn(self,canv):
        self.table._drawOn(canv)#this is the bit you overload
 
if __name__ == '__main__':
    go()

