#generates documentation
"""This creates a PDF payment confirmation without using PageCatcher.
It is easy to add new table rows and looks much sharper."""


import string
from rlextra.ers import framework

def go(dictionary):
	dictionary["action"] = "PdfLink"
	dictionary["template"] = "payconf_handmade"

	#sample data, should be editable
	dictionary["name"] = "Stanley Charles"
	dictionary["customer_reference"] = "1234567890123"
	dictionary["account_number"] = "XYZ 2001 ABC"

	dictionary["address1"] = "25 Greycoat Place"
	dictionary["address2"] = "London"
	dictionary["country"] = "United Kingdom"
	dictionary["postcode"] = "SW1 23Y"
	dictionary["phone_number"] = "020 7123 4567"
	dictionary["email"] = "stanley.charles@charles-stanley.co.uk"
	dictionary["annualFee"] = "175.00"

	
	proc = framework.BasicProcessor()
	return proc.go(dictionary)
